Waitlists
DELETE /waitlists/{waitlistId}/leave
Leave a waitlist
DELETE
/
waitlists
/
{waitlistId}
/
leave
cURL
curl --request DELETE \
--url https://consumer.fanfare.io/api/waitlists/{waitlistId}/leaveconst options = {method: 'DELETE'};
fetch('https://consumer.fanfare.io/api/waitlists/{waitlistId}/leave', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/waitlists/{waitlistId}/leave"
response = requests.delete(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/waitlists/{waitlistId}/leave"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"left": true
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request DELETE \
--url https://consumer.fanfare.io/api/waitlists/{waitlistId}/leaveconst options = {method: 'DELETE'};
fetch('https://consumer.fanfare.io/api/waitlists/{waitlistId}/leave', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/waitlists/{waitlistId}/leave"
response = requests.delete(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/waitlists/{waitlistId}/leave"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"left": true
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}